/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"acrp.h"

XL_SEXP *
fi_of_mpt(MAP_PATH_TABLE * m)
{
XL_SEXP * ret;
XL_SEXP * fi_of_one_mpt();
	ret = 0;
	for (  ; m ; m = m->next ) {
		ret = cons(fi_of_one_mpt(m),ret);
	}
	return cons(n_get_symbol("mpt"),ret);
}

void
print_mpt(MAP_PATH_TABLE * t)
{
	printf("== ");
	print_sexp(s_stdout,fi_of_mpt(t),PF_INDENT);
	printf("\n");
}
